unit uPluginPedidosCliente;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCPedidosCliente = interface(IInterface)
  ['{4C4C1C6A-3CA8-4D81-B420-40F068BFF833}']
  end;

  TPluginPedidosCliente = class(TModuleController, IMCPedidosCliente)
    actPedidosCliente: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    Ventas1: TMenuItem;
    PedidosdeCliente1: TMenuItem;
    actInfPedidos: TAction;
    procedure actPedidosClienteExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils,
  uPedidosClienteController, uBizPedidosCliente, uPedidosClienteViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginPedidosCliente.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginPedidosCliente.actPedidosClienteExecute(Sender: TObject);
var
  APedidosClienteController : IPedidosClienteController;
  APedidosCliente : IBizPedidoCliente;

begin
  APedidosClienteController := TPedidosClienteController.Create;
  APedidosCliente := (APedidosClienteController.BuscarTodos as IBizPedidoCliente);
  APedidosClienteController.VerTodos(APedidosCliente);
end;

constructor TPluginPedidosCliente.Create(AOwner: TComponent);
begin
  inherited;
  uPedidosClienteViewRegister.RegisterViews;
end;

destructor TPluginPedidosCliente.Destroy;
begin
  uPedidosClienteViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginPedidosCliente);

finalization
  UnRegisterModuleClass(TPluginPedidosCliente);

end.
